commit:     b182ce3b3a7ea65e7ab02f38c92ffd50becda992
Author:     Tomas Mozes <hydrapolic <AT> gmail <DOT> com>
AuthorDate: Fri Jan  5 23:12:19 2018 +0000
Commit:     Alexys Jacob <ultrabug <AT> gentoo <DOT> org>
CommitDate: Sat Jan  6 21:34:25 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b182ce3b

app-admin/mongo-tools: version bump to 3.6.1

Closes: https://github.com/gentoo/gentoo/pull/6604

 app-admin/mongo-tools/Manifest                 |  1 +
 app-admin/mongo-tools/mongo-tools-3.6.1.ebuild | 61 ++++++++++++++++++++++++++
 2 files changed, 62 insertions(+)

diff --git a/app-admin/mongo-tools/Manifest b/app-admin/mongo-tools/Manifest
index a92f9451e6c..aef3a609055 100644
--- a/app-admin/mongo-tools/Manifest
+++ b/app-admin/mongo-tools/Manifest
@@ -5,3 +5,4 @@ DIST mongo-tools-3.2.13.tar.gz 2712076 BLAKE2B 
66e76e049b6a322e05dea21c241d983eb
 DIST mongo-tools-3.2.16.tar.gz 2720003 BLAKE2B 
e5cb694549b5c70cd07fc8e891b1a78cffec0f99aab62978c70d38c01d9b1ae9c401f9618d24d9afc036ae66657eac40f710076d177497b51c97b963cff31d86
 SHA512 
61c8cfd04a36e329c3573b73945d20a5623e1aa0a3430b309530e85e4289a27a46a850ec48ede7f04e66e67e23745ef26f5f4ddcf68ffeb647128e3d2526a724
 DIST mongo-tools-3.2.17.tar.gz 2719970 BLAKE2B 
666b67d8abdd10f7fa7c557e3c3906fb3cc6bcfa0b97a05e39e5f1ea923d2beb5ec249b3b0a521c4cce4bd595bf18672d8bce38152f84825bb3fffb058fd3b29
 SHA512 
62c2540027e07b8276621e08d13657864d16021030e3c8f9bc0d351454319d448f889cf6a48b8467ea3270365376ed0c3beb42ceae3f28357910148c6b4054b2
 DIST mongo-tools-3.4.10.tar.gz 4719399 BLAKE2B 
8165248bf58f2ea2b02e365a3609c72b72e98dd5902f176e251fa2add1ad26e90900e06c35dc6db4dbe161e541bedfc1776f5e15bbb41dcc9a7be17800424362
 SHA512 
b861bb3fb1a32c3aa2efefcf6a13bb6d4783ac1a9b006c477fd04deb338cbf6b7adc3944bc6919513b92bd96b8500813ff4af49c9dec0719ebd2fdaa99bc39a5
+DIST mongo-tools-3.6.1.tar.gz 4693844 BLAKE2B 
1c6a600abf41a32cbac37cbcef540957e39b6e4574413ecedacdafc761e62b7bb45c285db985bbae01936fddbde0e8d10aa16cd512bd28ae3b60d072ac18b09e
 SHA512 
15a073e92281b515d16c778ef3f540939dfaeaeb92afb303899ea3a7bbecd2782efa0ba05b9ed271660e9000c6108c05a28e2dec826880867c625d06ac65a0be

diff --git a/app-admin/mongo-tools/mongo-tools-3.6.1.ebuild 
b/app-admin/mongo-tools/mongo-tools-3.6.1.ebuild
new file mode 100644
index 00000000000..f8c4a23a746
--- /dev/null
+++ b/app-admin/mongo-tools/mongo-tools-3.6.1.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+MY_PV=${PV/_rc/-rc}
+MY_P=${PN}-r${MY_PV}
+
+DESCRIPTION="A high-performance, open source, schema-free document-oriented 
database"
+HOMEPAGE="https://www.mongodb.org";
+SRC_URI="https://github.com/mongodb/mongo-tools/archive/r${MY_PV}.tar.gz -> 
mongo-tools-${MY_PV}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="sasl ssl"
+
+RDEPEND="!<dev-db/mongodb-3.0.0"
+DEPEND="${RDEPEND}
+       dev-lang/go:=
+       net-libs/libpcap
+       sasl? ( dev-libs/cyrus-sasl )
+       ssl? ( dev-libs/openssl:0= )"
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+       default
+
+       # do not substitute version because it uses git
+       sed -i '/^sed/,+3d' build.sh || die
+       sed -i '/^stty/d' build.sh || die
+       sed -i '/^mv/d' build.sh || die
+
+       # build pie to avoid text relocations wrt #582854
+       # skip on ppc64 wrt #610984
+       if ! use ppc64; then
+               sed -i 's/\(go build\)/\1 -buildmode=pie/g' build.sh || die
+       fi
+
+       # ensure we use bash wrt #582906
+       sed -i 's@/bin/sh@/bin/bash@g' build.sh || die
+}
+
+src_compile() {
+       local myconf=()
+
+       if use sasl; then
+         myconf+=(sasl)
+       fi
+
+       if use ssl; then
+         myconf+=(ssl)
+       fi
+
+       ./build.sh ${myconf[@]} || die "build failed"
+}
+
+src_install() {
+       dobin bin/*
+}

Reply via email to